module Rulz
  module Conditions    
    module Boolean
      def self.load_conditions(reciever, attr)
        reciever.class_eval do
          define_rulz do
            attribute attr do
              condition "is true" do
                send(attr)
              end
              condition "is false" do
                opposite_of "is true"
              end
            end
          end
        end
      end
      
      def self.included(base)
        base.class_eval do
          define_rulz do        
            condition "is true" do
              it
            end
            condition "is false" do
              opposite_of "is true"
            end
          end
        end
      end
    end
  end
end