module Rulz
  class Definer
    
    def initialize(klass)
      @klass = klass
    end
    
    def condition(name, &block)
      Rulz::Condition.new(name, @klass, block)
    end
    
    def action(name, &block)
      Rulz::Action.new(name, @klass, block)
    end
    
    def rule(&block)
      Rulz::Rule.new(@klass, block)
    end
    
    def attribute(attr, &block)
      Rulz::Attribute::Block.new(attr, @klass, &block)
    end
  end  
end 
