module Rulz
  class Action
    attr_accessor :name, :proc
    
    def initialize(name, klass, proc)
      @name = name
      @proc = proc
      klass.instance_exec self do |action|
        @rulz_actions ||= []
        @rulz_actions << action
      end
    end
    
    def self.find(klass, name)
      klass.instance_variable_get(:@rulz_actions).find {|c| c.name == name }
    end
  end
end