module Rulz
  module Conditions
    def self.load_conditions(reciever, attribute, kind)
      case kind
      when :integer
        Comparison.load_conditions(reciever, attribute)
        Number.load_conditions(reciever, attribute)
      when :float
        Comparison.load_conditions(reciever, attribute)
        Number.load_conditions(reciever, attribute)
      when :decimal
        Comparison.load_conditions(reciever, attribute)
        Number.load_conditions(reciever, attribute)
      when :string
        Container.load_conditions(reciever, attribute)
        String.load_conditions(reciever, attribute)
      when :text
        Container.load_conditions(reciever, attribute)
        String.load_conditions(reciever, attribute)
      when :array
        Container.load_conditions(reciever, attribute)
      when :hash
        Container.load_conditions(reciever, attribute)
      when :boolean
        Boolean.load_conditions(reciever, attribute)      
      end
    end
  end
end