module Rulz
  module Conditions
    module Number
      def self.load_conditions(reciever, attr)
        reciever.class_eval do
          define_rulz do
            attribute attr do
              condition "is positive" do
                send(attr) > 0
              end
              condition "is negative" do
                send(attr) < 0
              end
              condition "is zero" do
                send(attr) == 0
              end
            end
          end
        end
      end
      
      
      def self.included(base)
        base.class_eval do
          define_rulz do
            condition "is positive" do
              it > 0
            end
            condition "is negative" do
              it < 0
            end
            condition "is zero" do
              it == 0
            end
          end
        end
      end
      
    end
  end
end